XMLIndenter
Keywords: com.icl.saxon.output.XMLIndenter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.output
Class XMLIndenter

    java.lang.Object
      com.icl.saxon.output.Emitter
          com.icl.saxon.output.ProxyEmitter
              com.icl.saxon.output.XMLIndenter

All Implemented Interfaces:
  Result

public class XMLIndenter
extends ProxyEmitter

XMLIndenter: This ProxyEmitter indents elements, by adding character data where appropriate. The character data is always added as "ignorable white space", that is, it is never added adjacent to existing character data. Author Michael H. Kay

Field Summary

Fields inherited from class com.icl.saxon.output.ProxyEmitter
`baseEmitter, outputProperties`

Fields inherited from class com.icl.saxon.output.Emitter
`locator, namePool, outputStream, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`XMLIndenter()`

Method Summary
`void` | `characters(char[] chars, int start, int len)` Output character data
`void` | `comment(char[] chars, int start, int len)` Output a comment
`void` | `endDocument()` End of document
`void` | `endElement(int tag)` Output element end tag
`void` | `ignorableWhitespace(char[] chars, int start, int len)` Output ignorable white space
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` Output a processing instruction
`void` | `startDocument()` Start of document
`void` | `startElement(int tag, org.xml.sax.Attributes atts, int[] namespaces, int nscount)` Output element start tag

Methods inherited from class com.icl.saxon.output.ProxyEmitter
`setDocumentLocator, setEscaping, setNamePool, setOutputProperties, setUnderlyingEmitter, setUnparsedEntity, setWriter`

Methods inherited from class com.icl.saxon.output.Emitter
`getNamePool, getOutputProperties, getOutputStream, getSystemId, getWriter, makeEmitter, setOutputStream, setSystemId, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLIndenter

    public XMLIndenter()

Method Detail

### startDocument

    public void startDocument()
                       throws TransformerException

  Start of document

  Overrides:
    `startDocument` in class `ProxyEmitter`
  Throws:
    `TransformerException`

### startElement

    public void startElement(int tag,
                             org.xml.sax.Attributes atts,
                             int[] namespaces,
                             int nscount)
                      throws TransformerException

  Output element start tag

  Overrides:
    `startElement` in class `ProxyEmitter`
  Throws:
    `TransformerException`

### endElement

    public void endElement(int tag)
                    throws TransformerException

  Output element end tag

  Overrides:
    `endElement` in class `ProxyEmitter`
  Throws:
    `TransformerException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws TransformerException

  Output a processing instruction

  Overrides:
    `processingInstruction` in class `ProxyEmitter`
  Throws:
    `TransformerException`

### characters

    public void characters(char[] chars,
                           int start,
                           int len)
                    throws TransformerException

  Output character data

  Overrides:
    `characters` in class `ProxyEmitter`
  Throws:
    `TransformerException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] chars,
                                    int start,
                                    int len)
                             throws TransformerException

  Output ignorable white space

  Throws:
    `TransformerException`

### comment

    public void comment(char[] chars,
                        int start,
                        int len)
                 throws TransformerException

  Output a comment

  Overrides:
    `comment` in class `ProxyEmitter`
  Throws:
    `TransformerException`

### endDocument

    public void endDocument()
                     throws TransformerException

  End of document

  Overrides:
    `endDocument` in class `ProxyEmitter`
  Throws:
    `TransformerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD